Redmine - Feature #13448

Parenttasks should be deleteable without touching their subtasks
2013-03-12 15:30 - Be Fio

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues planning Estimated time: 0.00 hour

Target version:

Resolution: No feedback

Description

Currently it can be easily overlooked that one is actually deleting some sub tasks. On the first view, the according warning just looks
like the one for deleting only one single task.

Maybe it would be best to just offer three option in the warning message upon deletion of a parenttask:
® Yes, delete also X subtasks

¢ Yes, Keep all subtasks
e Cancel

History

#1 - 2013-03-12 15:42 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

| just checked this in our 2.2.1, and no matter how | try to delete an issue with subs, | always get a warning messag ewith a checkbox.
Roughly traslated from German:

Are you sure that you'd like to delete the selected issues?
This will also delete n subissues.

| get this warning message if | press Delete in the issue itself and also when | right-click the issue while viewing all issues.

#2 - 2013-09-16 13:16 - Jan Niggemann (redmine.org team member)
- Status changed from Needs feedback to Closed

- Resolution set to No feedback

No feedback -> closing ...
